Resource Center/Hardware/Primary Storage Operations/Shared Mount Point Primary Storage Operations
POSTShared Mount Point Primary Storage OperationsSince 0.6SynchronousAuth Required
AddSharedMountPointPrimaryStorage
AddSharedMountPointPrimaryStorage
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
urlStringRequiredThe local URL of the Shared Mount Point primary storage.
nameStringRequiredThe name of the Shared Mount Point primary storage.
descriptionStringOptional. The detailed description of the Shared Mount Point primary storage.
typeStringOptional. The primary storage type: Shared Mount Point.
zoneUuidStringRequiredThe zone UUID.
resourceUuidStringOptional. The UUID of the Shared Mount Point primary storage.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/primary-storage/smp
/zstack/v1/primary-storage/smp
Request Example
curl -X POST 'http://{host}/zstack/v1/primary-storage/smp' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"url":"<url>","name":"<name>","description":"<description>","type":"<type>","zoneUuid":"<zoneUuid>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "name": "PS1", "url": "/Cloud_ps", "type": "SharedMountPoint", "state": "Enabled", "status": "Connected", "attachedClusterUuids": [ "50028186764548f1b5b49379acaddcda" ] } }Change History
This API has no change history records yet.
